libfuse

Data Fields
fuse_buf Struct Reference

`#include <fuse_common.h>`

## Data Fields
size_t | size
enum fuse_buf_flags | flags
void * | mem
int | fd
off_t | pos
size_t | mem_size

## Detailed Description

Single data buffer

Generic data buffer for I/O, extended attributes, etc... Data may be supplied as a memory pointer or as a file descriptor

Definition at line 893 of file fuse_common.h.

## Field Documentation

## ◆ fd

int fuse_buf::fd

File descriptor

Used if FUSE_BUF_IS_FD flag is set.

Definition at line 916 of file fuse_common.h.

## ◆ flags

enum fuse_buf_flags fuse_buf::flags

Buffer flags

Definition at line 902 of file fuse_common.h.

## ◆ mem

void * fuse_buf::mem

Memory pointer

Used unless FUSE_BUF_IS_FD flag is set.

Definition at line 909 of file fuse_common.h.

## ◆ mem_size

size_t fuse_buf::mem_size

Size of memory pointer

Used only if mem was internally allocated. Not used if mem was user-provided.

Definition at line 931 of file fuse_common.h.

## ◆ pos

off_t fuse_buf::pos

File position

Used if FUSE_BUF_FD_SEEK flag is set.

Definition at line 923 of file fuse_common.h.

## ◆ size

size_t fuse_buf::size

Size of data in bytes

Definition at line 897 of file fuse_common.h.

The documentation for this struct was generated from the following files:

- fuse-3.17.1-rc0/include/fuse_common.h
- include/fuse_common.h